import { html as h } from "lit";
import { property as a } from "lit/decorators.js";
import { PieIconComponent as n } from "./PieIconComponent.js";
import { safeCustomElement as m } from "@justeattakeaway/pie-webc-core";
var u = Object.defineProperty, f = Object.getOwnPropertyDescriptor, l = (c, t, o, r) => {
  for (var e = r > 1 ? void 0 : r ? f(t, o) : t, p = c.length - 1, i; p >= 0; p--)
    (i = c[p]) && (e = (r ? i(t, o, e) : i(e)) || e);
  return r && e && u(t, o, e), e;
};
let s = class extends n {
  constructor() {
    super(...arguments), this.size = 32, this.defaultClasses = "c-pieIcon c-pieIcon--thumbsUpLarge", this.class = "c-pieIcon c-pieIcon--thumbsUpLarge", this.name = "IconThumbsUpLarge";
  }
  render() {
    return h`<svg width="${this._svgWidth}" height="${this._svgHeight}" fill="${this.fill}" xmlns="http://www.w3.org/2000/svg" role="presentation" focusable="false" fill="currentColor" viewBox="0 0 32 32" class="c-pieIcon c-pieIcon--thumbsUpLarge"><path d="M28.303 16a2.63 2.63 0 0 0-1.68-1.26l-4.76-1.146.98-4.891A3.413 3.413 0 0 0 19.5 4.625h-.534l-5.18 10.071a.88.88 0 0 1-.743.429H3.75v1.75h6.886a15 15 0 0 0-.761 4.813 10 10 0 0 0 .7 3.937H3.75v1.75h18.664A4.37 4.37 0 0 0 26.5 24.61l2.047-6.554A2.63 2.63 0 0 0 28.303 16m-1.444 1.558-2.022 6.474a2.63 2.63 0 0 1-2.423 1.593H12.5a8.2 8.2 0 0 1-.875-3.937c-.03-1.647.267-3.283.875-4.813h.516a2.63 2.63 0 0 0 2.275-1.321l4.682-9.1c.31.09.584.274.787.525a1.68 1.68 0 0 1 .341 1.382l-1.312 6.545 6.405 1.514a.88.88 0 0 1 .56.42.88.88 0 0 1 .105.691z"></path></svg>`;
  }
};
l([
  a({ type: String, reflect: !0 })
], s.prototype, "size", 2);
l([
  a({ type: String, reflect: !0 })
], s.prototype, "class", 2);
s = l([
  m("icon-thumbs-up-large")
], s);
export {
  s as IconThumbsUpLarge
};
